//测试andriod下调用js函数是否可行


//SampleTest 返回字符串"test ok"
function SampleTest() {
	return "test ok";
}

//TestGet 发起最普通的http get请求
//param: 字符串，作为请求参数，可随意填写；
//返回值：字符串，成功返回服务器返回；失败返回"test fail"字符串
function TestGet(param) {
	http = new XMLHttpRequest();
	http.open("GET", "http://115.28.135.239:81/jsparser/debug/get.php?p=" + param, false);
	http.send(null);
  if(http.status == 200) {
		return http.responseText;
	}
	return "test fail";
}

//TestPost 发起最普通的http post请求
//param: 字符串，作为请求参数，可随意填写；
//返回值：字符串，成功返回服务器返回；失败返回"test fail"字符串
function TestPost(param) {
	http = new XMLHttpRequest();
	http.open("POST", "http://115.28.135.239:81/jsparser/debug/post.php", false);
	http.send(param);
  if(http.status == 200) {
		return http.responseText;
	}
	return "test fail";
}

//TestOrigin 测试跨域请求
//返回值：成功返回"test ok"，失败返回"test fail"
function TestOrigin() {
	http = new XMLHttpRequest();
	http.open("GET", "https://www.baidu.com", false);
	http.send(null);
  if(http.status == 200) {
		return "test ok";
	}
	return "test fail";
}